=== libvtoc/Makefile ===
include ../common.mak

lib = libvtoc.a

all: $(lib)

objects = vtoc.o

$(lib): $(objects)

install: all

clean:
	rm -f *.o $(lib)
