=== debian/changelog ===
s390-tools (2.38.0-0ubuntu3) questing; urgency=medium

  * Add d/p/lp-2118866-cpi-Disable-CPI-for-SEL-guests-by-default.patch to
    allow the cpictl utility to not automatically send CPI data if the Linux
    instance runs a Secure Execution guest (LP: #2118866).

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 31 Jul 2025 08:28:39 +0200

s390-tools (2.38.0-0ubuntu2) questing; urgency=medium

  * Move stage3*.* boot-loader files in d/s390-tools-data.install from
    pvimg/boot folder on up to pvimg, otherwise pvimg cannot find them
    (LP: #2118762).

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 25 Jul 2025 12:20:55 +0200

s390-tools (2.38.0-0ubuntu1) questing; urgency=medium

  * New upstream release. (LP: #2115416)
    - Modify d/p/conformance-to-dep17-usr-merge.patch due to context change
      and expand it to cover more cases.
    - Update XS-Vendored-Sources-Rust field in d/control with new/different
      crates/versions.
    - Update d/p/vendor-remove-unused-deps.patch to reflect latest crates
      in rust-vendor/.
    - Remove the following patches, since they are incl. in new upstream:
      - d/p/lp-2098500-scsi_logging_level-Delete-SCSI-logging-script.patch
      - d/p/lp-2098358-s390-tools-Add-zpwr-tool.patch
      - d/p/lp-2098358-zpwr-Add-man-page-for-zpwr-tool.patch
    - Expand and restructure d/s390-tools*.install to cover all Rust tools
      and to add files for command completion.
    - Add quilt patch d/p/fix-64bit-lib-path-handling.patch to fix
      handling of 64bit library path in s390-tools code and config files.
    - Expand d/s390-tools-chreipl-fcp-mpath.install for dracut-related
      config file.
    - Tidy up d/not-installed.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 01 Jul 2025 08:12:06 +0200

s390-tools (2.37.0-0ubuntu5) questing; urgency=medium

  * No-change rebuild (LP: #2112166)

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 30 May 2025 09:39:33 +0200

s390-tools (2.37.0-0ubuntu4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:21:09 +0200

s390-tools (2.37.0-0ubuntu3) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:47:48 -0400
