=== debian/changelog ===
s390-tools (2.39.0-0ubuntu1) resolute; urgency=medium

  * New upstream release. (LP: #2133937)
    - Refresh d/p/install-iucvterm.patch to remove fuzz.
    - Update d/p/vendor-remove-unused-deps.patch to reflect latest crates
      in rust-vendor/.
    - Remove d/p/debian/patches/lp-2118866-cpi-Disable-CPI-for-SEL-*.patch
      since it's already incl. in new upstream version.
    - Update XS-Vendored-Sources-Rust field in d/control with new/different
      crates/versions.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 05 Dec 2025 11:47:11 +0100
