=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Standards-Version: 4.6.2
 Homepage: https://github.com/ibm-s390-linux/s390-tools
 XS-Build-Indep-Architecture: s390x
-XS-Vendored-Sources-Rust: aho-corasick@1.1.3, anstream@0.6.18, anstyle-parse@0.2.6, anstyle-query@1.1.2, anstyle-wincon@3.0.6, anstyle@1.0.10, anyhow@1.0.95, autocfg@1.4.0, base64@0.22.1, bit-set@0.8.0, bit-vec@0.8.0, bitflags@2.7.0, bitvec@1.0.1, byteorder@1.5.0, cc@1.2.9, cfg-if@1.0.0, clap@4.5.23, clap_builder@4.5.23, clap_complete@4.5.38, clap_derive@4.5.18, clap_lex@0.7.4, colorchoice@1.0.3, curl-sys@0.4.78+curl-8.11.0, curl@0.4.47, darling@0.20.10, darling_core@0.20.10, darling_macro@0.20.10, deku@0.18.1, deku_derive@0.18.1, enum_dispatch@0.3.13, equivalent@1.0.1, errno@0.3.10, fastrand@2.3.0, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, funty@2.0.0, getrandom@0.2.16, getrandom@0.3.2, hashbrown@0.12.3, hashbrown@0.15.2, heck@0.5.0, ident_case@1.0.1, indexmap@1.9.3, indexmap@2.6.0, is_terminal_polyfill@1.70.1, itoa@1.0.6, lazy_static@1.5.0, libc@0.2.172, libz-sys@1.1.20, linux-raw-sys@0.4.15, log@0.4.25, memchr@2.7.4, no_std_io2@0.8.1, num-traits@0.2.19, once_cell@1.20.2, openssl-macros@0.1.1, openssl-probe@0.1.5, openssl-sys@0.9.105, openssl@0.10.70, pkg-config@0.3.31, ppv-lite86@0.2.21, proc-macro-crate@3.2.0, proc-macro2@1.0.95, proptest@1.6.0, quick-error@1.2.3, quote@1.0.40, r-efi@5.2.0, radium@0.7.0, rand@0.8.5, rand@0.9.1, rand_chacha@0.3.1, rand_chacha@0.9.0, rand_core@0.6.4, rand_core@0.9.3, rand_xorshift@0.3.0, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, rustix@0.38.43, rustversion@1.0.18, rusty-fork@0.3.0, ryu@1.0.13, schannel@0.1.27, serde@1.0.217, serde_derive@1.0.217, serde_json@1.0.99, serde_test@1.0.177, serde_yaml@0.9.21, shlex@1.3.0, socket2@0.5.8, strsim@0.11.1, syn@2.0.101, tap@1.0.1, tempfile@3.15.0, terminal_size@0.4.0, thiserror-impl@2.0.11, thiserror@2.0.11, toml_datetime@0.6.8, toml_edit@0.22.22, unarray@0.1.4, unicode-ident@1.0.18, unsafe-libyaml@0.2.8, utf8parse@0.2.2, vcpkg@0.2.15, wait-timeout@0.2.0, wasi@0.11.0+wasi-snapshot-preview1, wasi@0.14.2+wasi-0.2.4, winnow@0.6.20, wit-bindgen-rt@0.39.0, wyz@0.5.1, zerocopy-derive@0.8.25, zerocopy@0.8.25
+XS-Vendored-Sources-Rust: aho-corasick@1.1.3, anstream@0.6.18, anstyle-parse@0.2.6, anstyle-query@1.1.2, anstyle-wincon@3.0.6, anstyle@1.0.10, anyhow@1.0.95, autocfg@1.4.0, base64@0.22.1, bit-set@0.8.0, bit-vec@0.8.0, bitflags@2.7.0, bitvec@1.0.1, byteorder@1.5.0, cc@1.2.9, cfg-if@1.0.0, clap@4.5.23, clap_builder@4.5.23, clap_complete@4.5.38, clap_derive@4.5.18, clap_lex@0.7.4, colorchoice@1.0.3, curl-sys@0.4.83+curl-8.15.0, curl@0.4.49, darling@0.20.10, darling_core@0.20.10, darling_macro@0.20.10, deku@0.18.1, deku_derive@0.18.1, enum_dispatch@0.3.13, equivalent@1.0.1, errno@0.3.10, fastrand@2.3.0, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, funty@2.0.0, getrandom@0.2.16, getrandom@0.3.2, hashbrown@0.12.3, hashbrown@0.15.2, heck@0.5.0, ident_case@1.0.1, indexmap@1.9.3, indexmap@2.6.0, is_terminal_polyfill@1.70.1, itoa@1.0.6, lazy_static@1.5.0, libc@0.2.172, libz-sys@1.1.20, linux-raw-sys@0.4.15, log@0.4.25, memchr@2.7.4, no_std_io2@0.8.1, num-traits@0.2.19, once_cell@1.20.2, openssl-macros@0.1.1, openssl-probe@0.1.5, openssl-sys@0.9.109, openssl@0.10.73, pkg-config@0.3.31, ppv-lite86@0.2.21, proc-macro-crate@3.2.0, proc-macro2@1.0.95, proptest@1.6.0, quick-error@1.2.3, quote@1.0.40, r-efi@5.2.0, radium@0.7.0, rand@0.8.5, rand@0.9.1, rand_chacha@0.3.1, rand_chacha@0.9.0, rand_core@0.6.4, rand_core@0.9.3, rand_xorshift@0.3.0, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, rustix@0.38.43, rustversion@1.0.18, rusty-fork@0.3.0, ryu@1.0.13, schannel@0.1.27, serde@1.0.217, serde_derive@1.0.217, serde_json@1.0.99, serde_test@1.0.177, serde_yaml@0.9.21, shlex@1.3.0, socket2@0.6.0, strsim@0.11.1, syn@2.0.101, tap@1.0.1, tempfile@3.15.0, terminal_size@0.4.0, thiserror-impl@2.0.11, thiserror@2.0.11, toml_datetime@0.6.8, toml_edit@0.22.22, unarray@0.1.4, unicode-ident@1.0.18, unsafe-libyaml@0.2.11, utf8parse@0.2.2, vcpkg@0.2.15, wait-timeout@0.2.0, wasi@0.11.0+wasi-snapshot-preview1, wasi@0.14.2+wasi-0.2.4, winnow@0.6.20, wit-bindgen-rt@0.39.0, wyz@0.5.1, zerocopy-derive@0.8.25, zerocopy@0.8.25
 
 Package: s390-tools
 Architecture: s390x amd64 ppc64el arm64
